Subject: Re: [PATCH] git-gui: Use shell to launch textconv filter in "blame"

From: Pat Thoyts <[email-masked]>
Date: Fri, 06 Aug 2010 18:56:33 +0100

Matthieu Moy <[email-masked]> writes:
[snip]
>
>I'm not very fluent in Tcl, but I don't think this runs the command
>through a shell (pstree agrees with me). That will work in most cases,
>so that may be acceptable, but if you want to have full compatibility
>with what "git blame" does (by using a shell) and allow e.g.
>
>textconv = LANG=C some-command
>
>or
>
>textconv = cd ../; do-whatever
>
>which are already managed by "git blame" and are OK with my version,
>it's not going to do it.

OK compatibility with 'git blame' is a valid reason to do it your
way. Tcl's exec (or open| is equivalent) doesn't go via shell. I'll
check this on windows and apply it. Thanks.

-- 
Pat Thoyts                            http://www.patthoyts.tk/
PGP fingerprint 2C 6E 98 07 2C 59 C8 97  10 CE 11 E6 04 E0 B9 DD